import React from 'react';
import { G, Path } from 'react-native-svg';
import { createIcon } from '../helpers';
const Broken = (props) => (<G>
        <Path d="M12 5.01001L12 5.00002" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M12 19L12 8" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Curved = (props) => (<G>
        <Path d="M12 5.01001L12 5.00002" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M12 19L12 8" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Duotone = (props) => (<G>
        <Path d="M12 5.01001L12 5.00002" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M12 19L12 8" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Outline = (props) => (<G>
        <Path d="M12 5.00999L12 5" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M12 19L12 8" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Info = (props) => {
    switch (props.variant) {
        case 'broken':
            return <Broken {...props}/>;
        case 'curved':
            return <Curved {...props}/>;
        case 'duotone':
            return <Duotone {...props}/>;
        case 'outline':
            return <Outline {...props}/>;
    }
};
export default createIcon(Info);
