import React from 'react';
import { G, Path } from 'react-native-svg';
import { createIcon } from '../helpers';
const Broken = (props) => (<G>
        <Path d="M7 18.5V21L12 16" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M7 16H4V4H20V6M12 16H20V10" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Curved = (props) => (<G>
        <Path d="M7 16.4939C4.0328 15.6692 3 13.7383 3 10C3 4.64706 5.11765 3 12 3C18.8824 3 21 4.64706 21 10C21 15.3529 18.8824 17 12 17C11.6592 17 11.3301 16.996 11.0124 16.9876" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M7 16.494V21L11.0124 16.9877" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Duotone = (props) => (<G>
        <Path opacity="0.15" d="M20 4H4V16H7V21L12 16H20V4Z" fill={props.color}/>
        <Path d="M7 16V21L12 16" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M7 16H4V4H20V16H12" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Outline = (props) => (<G>
        <Path d="M7 16V21L12 16" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M7 16H4V4H20V16H12" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const MessageSquare = (props) => {
    switch (props.variant) {
        case 'broken':
            return <Broken {...props}/>;
        case 'curved':
            return <Curved {...props}/>;
        case 'duotone':
            return <Duotone {...props}/>;
        case 'outline':
            return <Outline {...props}/>;
    }
};
export default createIcon(MessageSquare);
