import React from 'react';
import { G, Path } from 'react-native-svg';
import { createIcon } from '../helpers';
const Broken = (props) => (<G>
        <Path d="M13 6H18V11" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
        <Path d="M9 6H6V18H18V15" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Curved = (props) => (<G>
        <Path d="M12 6C9.33333 6 7 6.33333 6.66667 6.66667C6.33333 7 6 9.33333 6 12C6 14.6667 6.33333 17 6.66667 17.3333C7 17.6667 9.33333 18 12 18C14.6667 18 17 17.6667 17.3333 17.3333C17.6667 17 18 14.6667 18 12C18 9.33333 17.6667 7 17.3333 6.66667C17 6.33333 14.6667 6 12 6Z" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Duotone = (props) => (<G>
        <Path opacity="0.15" d="M6 6H18V18H6V6Z" fill={props.color}/>
        <Path d="M6 6H18V18H6V6Z" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Outline = (props) => (<G>
        <Path d="M6 6H18V18H6V6Z" stroke={props.color} strokeWidth={props.strokeWidth} strokeLinecap="round" strokeLinejoin="round"/>
    </G>);
const Stop = (props) => {
    switch (props.variant) {
        case 'broken':
            return <Broken {...props}/>;
        case 'curved':
            return <Curved {...props}/>;
        case 'duotone':
            return <Duotone {...props}/>;
        case 'outline':
            return <Outline {...props}/>;
    }
};
export default createIcon(Stop);
